﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SfTextBoxDelimiter
{
    class CustomerCollection : INotifyPropertyChanged
    {
        public ObservableCollection<Customer> customercollection;

        public ObservableCollection<Customer> Customercollection
        {
            get { return customercollection; }

            set
            {
                customercollection = value;
                this.raiseProperty("Customercollection");
            }
        }
     
        private ObservableCollection<Customer> selecteditems;

        public ObservableCollection<Customer> SelectedItems
        {
            get { return selecteditems; }

            set
            {
                selecteditems = value;
                raiseProperty("SelectedItems");
            }
        }

        public CustomerCollection()
        {

            customercollection = new ObservableCollection<Customer>();
            SelectedItems = new ObservableCollection<Customer>();

            this.customercollection.Add(new Customer() {Cust_name ="DAVIS" });
            this.customercollection.Add(new Customer() {Cust_name ="Lucas" });
            this.customercollection.Add(new Customer() {Cust_name = "John"});
            this.customercollection.Add(new Customer() {Cust_name = "Jake kennady"});
            this.customercollection.Add(new Customer() { Cust_name = "Anderson"});
          
        }
        public void raiseProperty(string name)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChangedEventArgs arg = new PropertyChangedEventArgs(name);
                this.PropertyChanged(this, arg);
            }

        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    //public class Ivalueconvertor : IValueConverter
    //{
    //    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    //    {
    //        string text = string.Empty;
    //        if ((value as ICollection<Customer>).Count > 0)
    //        {
    //            foreach (Customer item in value as ICollection<Customer>)
    //            {
    //                text += ",";
    //                text += item.Cust_name;
    //            }
    //            string removefirst = text.Remove(0, 1);
    //            return removefirst;
    //        }
    //        else
    //            return "";
    //    }

    //    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    //    {
    //        ObservableCollection<Customer> collection = new ObservableCollection<Customer>();
    //        string[] text = value.ToString().Split(',');
    //        foreach(string item in text)
    //        {
    //            collection.Add(new Customer() { Cust_name = item });
    //        }
    //        return collection;
    //    }
    //}
}
